Announcement

Collapse
No announcement yet.

Legacy ATI fglrx Drivers For R200 Products on Fedora Core 6 Zod

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • JEWilson
    replied
    FireGL Support

    Originally posted by d2kx View Post
    Michael, are you sure that the drivers are not getting released by tomorrow?
    Apologies if I am off topic, I'm a newbie

    I have a ATI Fire GL 4 AGP Pro w/station card
    After a clean install of Suse 9.0, a supplied
    dependcy check scrip from ATI tells me the
    distro above runs XFree v4.3 and glibc 2.3

    The last drivers ATI have supplied are for
    distro's which support XFree 4.2 and glibc 2.2.
    This is as good as it gets... so it appears.

    To be fair, the ATI script whilst detailing the
    above, does suggest I try a R200 driver package
    instead and names r200glib21.tgz

    As you are discussing r200 support in this thread,
    it was my expectation, you might shed some light
    on the case for the FireGL4.

    Would I be required to go back to a distro that
    supports XFree 4.2 and glibc 2.2 or.... is there
    a better, smarter mousetrap out there for this
    card?

    Any help and insight greatly appreciated
    Thanks

    Leave a comment:


  • rwrose
    replied
    Can't get script mentioned at top of this thread

    I am also grateful that someone worked through getting the driver to work on Fedora 6 for the legacy cards. However, I can't access the script that is mentioned at the top of this thread (#342).

    Trying to access (http://www.phoronix.com/redblog/down...y-generator.sh) give me "Page not found".

    I think somewhere in another thread, someone mentioned that the web site has been revamped. Any chance the link to this valuable script can be fixed?

    Thanks!

    Leave a comment:


  • zx5000
    replied
    Reply to both

    The new mobo is a direct replacement. I have a HP Pavilion laptop. It is still under the 3 year bestbuy warranty. In my Xorg.0.log it says the BIOS reports the panel as 1200x800 and so even if I specify modelines with hsync vsync etc it still ends up in 1200x800.

    Here's my source tree. The kernel headers usually reside in /lib/modules/(active kernel)/build. This is mapping to the correct directory. The error I'm getting is the same as if I ran the ati*.run file.

    [[email protected] ~]$ ls /lib/modules/2.6.18
    build extra misc modules.ccwmap modules.ieee1394map modules.isapnpmap modules.pcimap modules.symbols source
    CiscoVPN kernel modules.alias modules.dep modules.inputmap modules.ofmap modules.seriomap modules.usbmap
    [[email protected] ~]$ ls /lib/modules/2.6.18/build
    arch COPYING crypto drivers include ipc kernel MAINTAINERS mm net README scripts sound usr
    block CREDITS Documentation fs init Kbuild lib Makefile Module.symvers plain-config REPORTING-BUGS security System.map vmlinux
    [[email protected] ~]$ ls -l /lib/modules/2.6.18
    total 1136
    lrwxrwxrwx 1 root root 21 Oct 20 2006 build -> /usr/src/linux-2.6.18
    drwxr-xr-x 2 root root 4096 Oct 26 2006 CiscoVPN
    drwxr-xr-x 2 root root 4096 Oct 26 2006 extra
    drwxr-xr-x 9 root root 4096 Jan 26 13:47 kernel
    drwxr-xr-x 2 root root 4096 May 16 12:28 misc
    -rw-r--r-- 1 root root 256924 May 13 21:12 modules.alias
    -rw-r--r-- 1 root root 69 May 13 21:12 modules.ccwmap
    -rw-r--r-- 1 root root 217924 May 13 21:12 modules.dep
    -rw-r--r-- 1 root root 813 May 13 21:12 modules.ieee1394map
    -rw-r--r-- 1 root root 375 May 13 21:12 modules.inputmap
    -rw-r--r-- 1 root root 12159 May 13 21:12 modules.isapnpmap
    -rw-r--r-- 1 root root 74 May 13 21:12 modules.ofmap
    -rw-r--r-- 1 root root 190926 May 13 21:12 modules.pcimap
    -rw-r--r-- 1 root root 841 May 13 21:12 modules.seriomap
    -rw-r--r-- 1 root root 104954 May 13 21:12 modules.symbols
    -rw-r--r-- 1 root root 313500 May 13 21:12 modules.usbmap
    lrwxrwxrwx 1 root root 21 Jan 26 13:46 source -> /usr/src/linux-2.6.18

    Leave a comment:


  • ijbrooks
    replied
    Quick note. You can do dual head with the radeon driver

    The following xorg.conf options in your device section should enable it, change the Metamodes and rates to your setup.

    # enable radeon specific xinerama
    Option "MergedFB" "true"
    Option "CRT2Position" "RightOf"
    Option "CRT2Hsync" "50-75"
    Option "CRT2VRefresh" "30-82"
    Option "MetaModes" "1024x768-1280x1024"
    Option "MergedNonRectangular" "true"

    The 1680x1050 problem. is that because your new mb has a GC that cant handle it or is the driver responding wrongly and wont let you set it to that resolution?

    Leave a comment:


  • ijbrooks
    replied
    Do you have kernel headers or kernel source installed? It looks like you might be missing these.

    Leave a comment:


  • zx5000
    replied
    Help please

    I'm having trouble building this. It's likely something I'm not doing right. I need the fglrx driver because since my mobo was replaced by service technicians my LCD panel will top out at 1200x800 instead of the 1680x1050 I'm used to. Also, I have in the past run dual head which is impossible with xorg's "radeon".

    I have a stock 2.6.18 kernel that was updated to the usual FC settings expect for 4K stacks which break vmware and driverloader. This kernel is in /usr/src/linux-2.6.18.

    Here is the tee output from the shell operation.

    sh fglrx-fc6 ...

    __________________________________________________ _____________
    ATI fglrx 8.28.8 Legacy drivers for Fedora Core 6 Zod
    Run this only if you are using an R200 (e.g. Radeon 9200) graphics card.
    New drivers are available for post-R200 hardware.
    Created by Michael Larabel of Phoronix
    Only run this if you are currently using Fedora Core 6
    Usage See: http://www.phoronix.net/forums/forumdisplay.php?f=19
    Hit any key to continue
    __________________________________________________ _____________
    __________________________________________________ _____________
    Downloading updated firegl_public code from Phoronix Redblog
    __________________________________________________ _____________
    Creating directory fglrx-install
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.28.8............................................ .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .........................
    __________________________________________________ _____________
    Attempting to generate 8.28.8 fglrx packages for Fedora Core 6
    __________________________________________________ _____________
    ==================================================
     ATI Technologies Linux Driver Installer/Packager 
    ==================================================
    Generating package: Fedora/FC6
    Package build failed!
    Package build utility output:
    Building target platforms: i386
    Building for target i386
    Executing(%prep): /bin/sh -e /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/rpm-tmp.96906
    + umask 022
    + cd /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD
    + LANG=C
    + export LANG
    + unset DISPLAY
    + cd /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD
    + cd ATI-fglrx-8.28.8
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chown -Rhf root .
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chgrp -Rhf root .
    + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + exit 0
    Executing(%build): /bin/sh -e /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/rpm-tmp.96906
    + umask 022
    + cd /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD
    + cd ATI-fglrx-8.28.8
    + LANG=C
    + export LANG
    + unset DISPLAY
    + exit 0
    Executing(%install): /bin/sh -e /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/rpm-tmp.96906
    + umask 022
    + cd /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD
    + cd ATI-fglrx-8.28.8
    + LANG=C
    + export LANG
    + unset DISPLAY
    + rm -rf /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root
    + '[' -d /etc/ld.so.conf.d ']'
    + mkdir -p /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/etc/ld.so.conf.d
    + pushd /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/etc/ld.so.conf.d
    /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/etc/ld.so.conf.d /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8
    + cat
    + popd
    /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8
    + mkdir -p /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/usr/share/applications
    + pushd /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/usr/share/applications
    /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/usr/share/applications /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8
    + cat
    + popd
    /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8
    + cp -pR /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8/etc /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8/lib /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8/usr /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root
    + find /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/usr/share/doc -type f -perm 0555 -exec chmod 0644 '{}' ';'
    + find /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root -type f -perm 0555 -exec chmod 0755 '{}' ';'
    + export AS_USER=y
    + AS_USER=y
    + pushd /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/lib/modules/fglrx/build_mod
    /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/ATI-fglrx-8.28.8-1.fc6-root-root/lib/modules/fglrx/build_mod /tmp/ATI-fglrx-8.28.8-1-5440-root/BUILD/ATI-fglrx-8.28.8
    + bash make.sh verbose
    ATI module generator V 2.0
    ==========================
    initializing...
    cat: /lib/modules/2.6.18/build/include/linux/version-*.h: No such file or directory
    Error:
    kernel includes at /lib/modules/2.6.18/build/include do not match current kernel.
    they are versioned as ""
    instead of "2.6.18".
    you might need to adjust your symlinks:
    - /usr/include
    - /usr/src/linux
    error: Bad exit status from /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/rpm-tmp.96906 (%install)


    RPM build errors:
    Bad exit status from /tmp/ATI-fglrx-8.28.8-1-5440-root/tmp/rpm-tmp.96906 (%install)
    __________________________________________________ _____________
    ATI fglrx 8.28.8 Legacy drivers for Fedora Core 6 Zod
    Run this only if you are using an R200 (e.g. Radeon 9200) graphics card.
    New drivers are available for post-R200 hardware.
    Created by Michael Larabel of Phoronix
    Install resulting RPMs using rpm -ivh
    Usage See: http://www.phoronix.net/forums/forumdisplay.php?f=19
    Hit any key to continue
    __________________________________________________ _____________

    Leave a comment:


  • zx5000
    replied
    Thank you for posting.

    Jeff

    Leave a comment:


  • ijbrooks
    replied
    Kirsch,

    Thanks for posting the files. I have now been able to recreate my *hack* to get them working on 2.6.20 kernels.

    I have made 2 diff files that fix the cail and cmmqs problems

    http://ijbrooks.dyn-o-saur.com/fglrx...20_kernel.diff
    http://ijbrooks.dyn-o-saur.com/fglrx...20_kernel.diff

    You can also find pre packaged rpm's for kernels at this url. Ill add kernel-2.6.20-1.2948 rpms once i get home and can reboot my laptop.

    http://ijbrooks.dyn-o-saur.com/fglrx/

    However I did find out that ATI's site is wrong when it comes to supported version as the Radeon 9000 Pro is still supported by the official version so it turns out i can use the lates ati drivers anyway.

    Leave a comment:


  • kirsche
    replied
    Originally posted by zx5000 View Post
    Could someone please e-mail me the generator script?
    404 file not found

    Thanks.

    Jeff

    jrpinjapan_aaat_yahoo_daht_cahm
    http://kirsche.jino-net.ru/fglrx-fc6...y-generator.sh
    http://kirsche.jino-net.ru/fedora-fc...-build_mod.tar
    Last edited by kirsche; 05-18-2007, 06:53 PM. Reason: Oops.script was patched :(((

    Leave a comment:


  • zx5000
    replied
    Could someone please e-mail me the generator script?
    404 file not found

    Thanks.

    Jeff

    jrpinjapan_aaat_yahoo_daht_cahm

    Leave a comment:

Working...
X